<!--
  Generated template for the EditShoppingItemPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title>{{item?.name}}</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
    <ion-item >
        <ion-label>Name</ion-label>
        <ion-input [(ngModel)]="this.item.name" placeholder = "iPad Pro"></ion-input>
      </ion-item>
      
      <ion-item >
        <ion-label>Quantity</ion-label>
        <ion-input [(ngModel)]="this.item.quantity" type = "number" placeholder = "1"></ion-input>
      </ion-item>
      
      <ion-item >
        <ion-label>Price</ion-label>
        <ion-input [(ngModel)]="this.item.price" type = "number" placeholder = "700"></ion-input>
      </ion-item>
      
      {{item|json}}
      
      <button ion-button block clear (click)="saveItem(item)">Guardar</button>
      <button ion-button block clear color="danger" (click)="removeItem(item)">Borrar</button>
</ion-content>
